Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class TaxDetails

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.TaxDetails

    public class TaxDetails
    extends java.lang.Object

Java class for TaxDetails complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxDetails">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CertId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text" minOccurs="0"/>
             <element name="TaxTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TaxType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `certId`
`protected TaxType` `taxTp`

### Constructor Summary

Constructors
`TaxDetails()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCertId()` Gets the value of the certId property.
`TaxType` `getTaxTp()` Gets the value of the taxTp property.
`void` `setCertId​(java.lang.String value)` Sets the value of the certId property.
`void` `setTaxTp​(TaxType value)` Sets the value of the taxTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### certId

    protected java.lang.String certId

#### taxTp

    protected TaxType taxTp

### Constructor Detail

#### TaxDetails

    public TaxDetails()

### Method Detail

#### getCertId

    public java.lang.String getCertId()

Gets the value of the certId property.

Returns:
  possible object is `String`

#### setCertId

    public void setCertId​(java.lang.String value)

Sets the value of the certId property.

Parameters:
  `value` - allowed object is `String`

#### getTaxTp

    public TaxType getTaxTp()

Gets the value of the taxTp property.

Returns:
  possible object is `TaxType`

#### setTaxTp

    public void setTaxTp​(TaxType value)

Sets the value of the taxTp property.

Parameters:
  `value` - allowed object is `TaxType`